#include<iostream>

using namespace std;

string s[3];
string maxi="";
int used[3];
void f(int i,string x)
{
	if(i==3)
	{
		if(maxi<x)
		 maxi=x;
		 return;
	}
	for(int j=0;j<3;j++)
	{
		if(used[j]==0)
		{
			used[j]=1;
			f(i+1,x+s[j]);
			used[j]=0;
		}
	}
}

main()
{
	cin>>s[0]>>s[1]>>s[2];
	f(0,"");
	cout<<maxi;
}